Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortletDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PortletDefinition

All Implemented Interfaces
  DateableDefinition, PlaceableDefinition, Serializable

    public class PortletDefinition

extends Object
implements DateableDefinition, Serializable, PlaceableDefinition

This class represents a persistent portlet.

See Also
  Serialized Form

Field Summary
`static byte` | `CLONE_BEFORE_WRITE`
`protected PortletInstance` | `portletInstance`
`static byte` | `READ_ONLY`
`static byte` | `READ_WRITE`

Constructor Summary
`` | `PortletDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String contentUri, String backingFile, String definitionLabel, String instanceLabel, boolean forkable, boolean _public, ThemeDefinitionId themeDefinitionId, short titlebarOrientation, boolean defaultMinimized, boolean renderCacheable, int cacheExpires, boolean forkRender, String portletFile, boolean deleted, String helpUri, String editUri, String webAppName)` Contructor to create a new `PortletDefinition` object.
`` | `PortletDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String contentUri, String backingFile, String definitionLabel, String instanceLabel, boolean forkable, boolean _public, ThemeDefinitionId themeDefinitionId, short titlebarOrientation, boolean defaultMinimized, boolean renderCacheable, int cacheExpires, boolean forkRender, String portletFile, boolean deleted, String helpUri, String editUri, String webAppName, String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, byte[] portletState, boolean producerOfferedPortlet)` Overloaded constructor
`protected` | `PortletDefinition(MarkupDefinitionId markupDefinitionId, String contentUri, String backingFile, boolean forkable, boolean _public, boolean renderCacheable, int cacheExpires, boolean forkRender, String portletFile, boolean deleted, String helpUri, String editUri, String definitionLabel, String webAppName, PortletInstance portletInstance)` Overloaded constructor that takes a `PortletInstance`.
`protected` | `PortletDefinition(MarkupDefinitionId markupDefinitionId, String contentUri, String backingFile, boolean forkable, boolean _public, boolean renderCacheable, int cacheExpires, boolean forkRender, String portletFile, boolean deleted, String helpUri, String editUri, String definitionLabel, String webAppName, PortletInstance portletInstance, String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, byte[] portletState, boolean producerOfferedPortlet)` Overloaded constructor

Method Summary
`String` | `getBackingFile()` Returns the name of the backing file for this portlet, if present, null otherwise.
`int` | `getCacheExpires()` Getter for cache TTL
`String` | `getContentUri()` Returns the content uri for this portlet.
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`String` | `getDefinitionLabel()` Returns the definition label for this portlet.
`String` | `getDescription()` Retrieves this portlet's localized description from its `LocalizationResource`.
`String` | `getEditUri()` Getter for the edit content.
`String` | `getHelpUri()` Getter for the help content.
`String` | `getInstanceLabel()` Returns the instance label for this portlet.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this portlet.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `PortletDefinition` based on the locale of the request used for retrieving the `PortletDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this portlet.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`PlaceableDefinitionId` | `getPlaceableDefinitionId()` Returns the `PlaceableDefinitionId` associated with this portlet.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` for this portlet.
`PortletDefinitionId` | `getPortletDefinitionId()` Returns the `PortletDefinitionId` for this portlet.
`String` | `getPortletFile()` Getter for returning the relative path of the .portlet file representing this portlet.
`String` | `getPortletHandle()` Returns the portlet handle associated with this portlet if it is a WSRP remote portlet, null otherwise.
`byte[]` | `getPortletState()` Returns the portlet state for a WSRP remote portlet
`PortletInstanceId` | `getPrimaryInstanceId()` Deprecated This method is unreliable as it may return an instance id which is NOT the primary instance! Use: `IPortletDefinitionManager.getPortletView(customizationContext, portletDefinitionId.getPortletDefinitionId()).getPortletInstanceId()`
`String` | `getProducerHandle()` Returns the producer handle associated with this portlet if it is a WSRP remote portlet, null otherwise.
`byte` | `getStateChangeFlag()` Returns state change flag associated with this portlet if it is a WSRP remote portlet.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `PortletDefinition`.
`String` | `getTitle()` Retrieves this portlet's localized title from its `LocalizationResource`.
`short` | `getTitlebarOrientation()` Returns the titlebar orientation for this `PortletDefinition`
`int` | `getUserPropertiesMode()` Get the WSRP user properties mode.
`String` | `getWebAppName()` Returns the name of the J2EE web application this portlet is scoped to.
`boolean` | `isDefaultMinimized()` Returns if this portlet is minimized by default.
`boolean` | `isDeleted()` Getter to determined if this portet definition has been deleted.
`boolean` | `isForkable()` Getter for the boolean indicating if this portlet is forkable.
`boolean` | `isForkRender()` Getter for property forkRender.
`boolean` | `isProducerOfferedPortlet()` Returns whether a WSRP remote portlet has not been customized by a WSRP consumer
`boolean` | `isPublic()` Returns whether this portlet is end-user created.
`boolean` | `isRenderCacheable()` Getter for property renderCacheable.
`boolean` | `isRequiresUrlTemplates()` Returns whether a WSRP remote portlet requires url templates
`boolean` | `isTemplatesStoredInSession()` Returns whether url templates are stored in the HttpSession for a WSRP remote portlet
`void` | `setBackingFile(String backingFile)` Sets the backing file for this portlet.
`void` | `setCacheExpires(int cacheExpires)` Setter for the cache TTL.
`void` | `setContentUri(String contentUri)` Sets the content uri for this portlet.
`void` | `setDefaultMinimized(boolean defaultMinimized)` Sets whether this portlet is default minimized.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definition label for this portlet.
`void` | `setDeleted(boolean deleted)` Getter to determined if this portet definition has been deleted.
`void` | `setEditUri(String editUri)` Setter for the edit content.
`void` | `setForkable(boolean forkable)` setter for the boolean indicating if this portlet is forkable.
`void` | `setForkRender(boolean forkRender)` Setter for property forkRender.
`void` | `setHelpUri(String helpUri)` Setter for the help content.
`void` | `setInstanceLabel(String instanceLabel)` Sets the instance label for this portlet.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this portlet.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this portlet.
`void` | `setPortletFile(String portletFile)` Setter for setting the relative path of the .portlet file representing this portlet.
`void` | `setPortletHandle(String portletHandle)` Sets the portlet handle for this portlet
`void` | `setPortletState(byte[] portletState)` Sets the portlet state for a WSRP remote portlet
`void` | `setProducerHandle(String producerHandle)` Sets the producer handle for this portlet
`void` | `setProducerOfferedPortlet(boolean producerOfferedPortlet)` Sets whether a WSRP remote portlet is customized by a WSRP consumer
`void` | `setPublic(boolean _public)` Sets whether this portlet is end-user created.
`void` | `setRenderCacheable(boolean renderCacheable)` Setter for property renderCacheable.
`void` | `setRequiresUrlTemplates(boolean requiresUrlTemplates)` Sets whether a WSRP remote portlet requires url templates
`void` | `setStateChangeFlag(byte stateChangeFlag)` Sets state change flag
`void` | `setTemplatesStoredInSession(boolean templatesStoredInSession)` Sets whether url templates are stored in the HttpSession for a WSRP remote portlet
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this portlet.
`void` | `setTitlebarOrientation(short titlebarOrientation)` Sets the titlebar orientation for this portlet
`void` | `setUserPropertiesMode(int mode)` Set the WSRP user properties mode.
`void` | `setWebAppName(String webAppName)` Scopes this portlet to specified J2EE web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portletInstance

    protected PortletInstance portletInstance

### READ_ONLY

    public static final byte READ_ONLY

See Also
  Constants Summary

### CLONE_BEFORE_WRITE

    public static final byte CLONE_BEFORE_WRITE

See Also
  Constants Summary

### READ_WRITE

    public static final byte READ_WRITE

See Also
  Constants Summary

Constructor Detail

### PortletDefinition

    public PortletDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String contentUri,
                             String backingFile,
                             String definitionLabel,
                             String instanceLabel,
                             boolean forkable,
                             boolean _public,
                             ThemeDefinitionId themeDefinitionId,
                             short titlebarOrientation,
                             boolean defaultMinimized,
                             boolean renderCacheable,
                             int cacheExpires,
                             boolean forkRender,
                             String portletFile,
                             boolean deleted,
                             String helpUri,
                             String editUri,
                             String webAppName)

  Contructor to create a new `PortletDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this portlet
    `contentUri` - uri that represents the content of this portlet
    `backingFile` - name of the backing file for this portlet, if any
    `definitionLabel` - uniquely identifies this portlet in non-persistent mode
    `instanceLabel` - uniquely identifies an instance of this portlet when there exist multiple instances of the same
    `forkable` -
    `_public` - if this portlet was created by an end-user
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this portlet
    `titlebarOrientation` - orientation of the titlebar as defined by
    - `PortletView.ORIENTATION_LEFT`
    - `PortletView.ORIENTATION_RIGHT`
    - `PortletView.ORIENTATION_TOP`
    - `PortletView.ORIENTATION_BOTTOM`
    `defaultMinimized` - if this portlet is minimized by default
    `renderCacheable` - if this portlet may be cached in the render cache
    `cacheExpires` -
    `forkRender` -
    `portletFile` - path to the portlet file. This path is relative to the web application context
    `deleted` - if this portlet has been deleted
    `helpUri` - uri to the help mode content for this portlet
    `editUri` - uri to the edit mode content for this portlet
    `webAppName` - name of the J2EE web application this portlet is scoped to

### PortletDefinition

    protected PortletDefinition(MarkupDefinitionId markupDefinitionId,
                                String contentUri,
                                String backingFile,
                                boolean forkable,
                                boolean _public,
                                boolean renderCacheable,
                                int cacheExpires,
                                boolean forkRender,
                                String portletFile,
                                boolean deleted,
                                String helpUri,
                                String editUri,
                                String definitionLabel,
                                String webAppName,
                                PortletInstance portletInstance)

  Overloaded constructor that takes a `PortletInstance`.

  Parameters
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this portlet
    `contentUri` - uri that represents the content of this portlet
    `backingFile` - name of the backing file for this portlet, if any
    `forkable` -
    `_public` - if this portlet was created by an end-user
    `renderCacheable` - if this portlet may be cached in the render cache
    `cacheExpires` -
    `forkRender` -
    `portletFile` - path to the portlet file. This path is relative to the web application context
    `deleted` - if this portlet has been deleted
    `helpUri` - uri to the help mode content for this portlet
    `editUri` - uri to the edit mode content for this portlet
    `definitionLabel` - uniquely identifies this portlet in non-persistent mode
    `webAppName` - name of the J2EE web application this portlet is scoped to
    `portletInstance` -

### PortletDefinition

    public PortletDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String contentUri,
                             String backingFile,
                             String definitionLabel,
                             String instanceLabel,
                             boolean forkable,
                             boolean _public,
                             ThemeDefinitionId themeDefinitionId,
                             short titlebarOrientation,
                             boolean defaultMinimized,
                             boolean renderCacheable,
                             int cacheExpires,
                             boolean forkRender,
                             String portletFile,
                             boolean deleted,
                             String helpUri,
                             String editUri,
                             String webAppName,
                             String producerHandle,
                             String portletHandle,
                             byte stateChangeFlag,
                             boolean requiresUrlTemplates,
                             boolean templatesStoredInSession,
                             byte[] portletState,
                             boolean producerOfferedPortlet)

  Overloaded constructor

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this portlet
    `contentUri` - uri that represents the content of this portlet
    `backingFile` - name of the backing file for this portlet, if any
    `definitionLabel` - uniquely identifies this portlet in non-persistent mode
    `instanceLabel` - uniquely identifies an instance of this portlet when there exist multiple instances of the same
    `forkable` -
    `_public` - if this portlet was created by an end-user
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this portlet
    `titlebarOrientation` - orientation of the titlebar as defined by
    - `PortletView.ORIENTATION_LEFT`
    - `PortletView.ORIENTATION_RIGHT`
    - `PortletView.ORIENTATION_TOP`
    - `PortletView.ORIENTATION_BOTTOM`
    `defaultMinimized` - if this portlet is minimized by default
    `renderCacheable` - if this portlet may be cached in the render cache
    `cacheExpires` -
    `forkRender` -
    `portletFile` - path to the portlet file. This path is relative to the web application context
    `deleted` - if this portlet has been deleted
    `helpUri` - uri to the help mode content for this portlet
    `editUri` - uri to the edit mode content for this portlet
    `webAppName` - name of the J2EE web application this portlet is scoped to
    `producerHandle` - producer handle for the WSRP producer that offers portlet (specific to WSRP remote portlets)
    `portletHandle` - portlet handle of this portlet, (specific to WSRP remote portlets)
    `stateChangeFlag` - state change flag, (specific to WSRP remote portlets)
    `requiresUrlTemplates` - whether this portlet requires url templates (specific to WSRP remote portlets)
    `templatesStoredInSession` - whether the url templates are stored in the HttpSession (specific to WSRP remote portlets)
    `portletState` - the portlet state (specific to WSRP remote portlets)
    `producerOfferedPortlet` - if this remote portlet has not been customized by the WSRP consumer (specific to WSRP remote portlets)

### PortletDefinition

    protected PortletDefinition(MarkupDefinitionId markupDefinitionId,
                                String contentUri,
                                String backingFile,
                                boolean forkable,
                                boolean _public,
                                boolean renderCacheable,
                                int cacheExpires,
                                boolean forkRender,
                                String portletFile,
                                boolean deleted,
                                String helpUri,
                                String editUri,
                                String definitionLabel,
                                String webAppName,
                                PortletInstance portletInstance,
                                String producerHandle,
                                String portletHandle,
                                byte stateChangeFlag,
                                boolean requiresUrlTemplates,
                                boolean templatesStoredInSession,
                                byte[] portletState,
                                boolean producerOfferedPortlet)

  Overloaded constructor

  Parameters
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this portlet
    `contentUri` - uri that represents the content of this portlet
    `backingFile` - name of the backing file for this portlet, if any
    `forkable` -
    `_public` - if this portlet was created by an end-user
    `renderCacheable` - if this portlet may be cached in the render cache
    `cacheExpires` -
    `forkRender` -
    `portletFile` - path to the portlet file. This path is relative to the web application context
    `deleted` - if this portlet has been deleted
    `helpUri` - uri to the help mode content for this portlet
    `editUri` - uri to the edit mode content for this portlet
    `definitionLabel` - uniquely identifies this portlet in non-persistent mode
    `webAppName` - name of the J2EE web application this portlet is scoped to
    `portletInstance` -
    `producerHandle` - producer handle for the WSRP producer that offers portlet (specific to WSRP remote portlets)
    `portletHandle` - portlet handle of this portlet, (specific to WSRP remote portlets)
    `stateChangeFlag` - state change flag, (specific to WSRP remote portlets)
    `requiresUrlTemplates` - whether this portlet requires url templates (specific to WSRP remote portlets)
    `templatesStoredInSession` - whether the url templates are stored in the HttpSession (specific to WSRP remote portlets)
    `portletState` - the portlet state (specific to WSRP remote portlets)
    `producerOfferedPortlet` - if this remote portlet has not been customized by the WSRP consumer (specific to WSRP remote portlets)

Method Detail

### getPlaceableDefinitionId

    public PlaceableDefinitionId getPlaceableDefinitionId()

  Returns the `PlaceableDefinitionId` associated with this portlet. Returns null when the PortletDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableDefinitionId` in interface `PlaceableDefinition`
  Returns
    `PlaceableDefinitionId` associated with this portlet
  See Also
    `PlaceableDefinition`

### getPortletDefinitionId

    public PortletDefinitionId getPortletDefinitionId()

  Returns the `PortletDefinitionId` for this portlet. Returns null when the PortletDefinition has not been retrieved by using the persistence API.

  Returns
    `PortletDefinitionId` for this portlet

### getPlacementId

    public PlacementId getPlacementId()

  Returns the `PlacementId` for this portlet. May be null if this portlet is not placed or if it has not been retrieved using the persistence API.

  Returns
    `PlacementId` for this portlet

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this portlet.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this portlet.

  Parameters
    `markupDefinitionId` -

### getContentUri

    public String getContentUri()

  Returns the content uri for this portlet.

  Returns
    content uri

### setContentUri

    public void setContentUri(String contentUri)

  Sets the content uri for this portlet.

  Parameters
    `contentUri` -

### getBackingFile

    public String getBackingFile()

  Returns the name of the backing file for this portlet, if present, null otherwise.

  Returns
    backing file or null

### setBackingFile

    public void setBackingFile(String backingFile)

  Sets the backing file for this portlet.

  Parameters
    `backingFile` -

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definition label for this portlet.

  Specified by:
    `getDefinitionLabel` in interface `PlaceableDefinition`
  Returns
    definition label

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definition label for this portlet.

  Parameters
    `definitionLabel` -

### isPublic

    public boolean isPublic()

  Returns whether this portlet is end-user created.

  Returns
    true if this portlet is end-user created.

### setPublic

    public void setPublic(boolean _public)

  Sets whether this portlet is end-user created.

  Parameters
    `_public` -

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `PortletDefinition` based on the locale of the request used for retrieving the `PortletDefinition`.

  Specified by:
    `getLocalizationResource` in interface `PlaceableDefinition`
  Returns
    `LocalizationResource` associated with this portlet

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this portlet.

  Parameters
    `localizationResource` -

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this portlet. Returns null if no LocalizationResource is associated with this portlet. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this portlet

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `PortletDefinition`.

  Returns
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this portlet.

  Parameters
    `themeDefinitionId` - of theme associated with this portlet

### getTitlebarOrientation

    public short getTitlebarOrientation()

  Returns the titlebar orientation for this `PortletDefinition`

  Returns
    menu orientation

### setTitlebarOrientation

    public void setTitlebarOrientation(short titlebarOrientation)

  Sets the titlebar orientation for this portlet

  Parameters
    `titlebarOrientation` -

### isDefaultMinimized

    public boolean isDefaultMinimized()

  Returns if this portlet is minimized by default.

  Returns
    true if this portlet is minimized by default

### setDefaultMinimized

    public void setDefaultMinimized(boolean defaultMinimized)

  Sets whether this portlet is default minimized.

  Parameters
    `defaultMinimized` - true to set the portlet to minimized by default

### getPrimaryInstanceId

    @Deprecated
    public PortletInstanceId getPrimaryInstanceId()

  Deprecated This method is unreliable as it may return an instance id which is NOT the primary instance! Use: `IPortletDefinitionManager.getPortletView(customizationContext, portletDefinitionId.getPortletDefinitionId()).getPortletInstanceId()`

  Returns the primary instance id of the portlet. Returns null if this portlet has not been retrieved using the persistence API.

  Returns
    `PortletInstanceId`
  See Also
    `getPortletDefinitionId()`, `IPortletDefinitionManager.getPortletView(com.bea.netuix.application.manager.CustomizationContext, PortletDefinitionId)`, `PortletView.getPortletInstanceId()`

### getInstanceLabel

    public String getInstanceLabel()

  Returns the instance label for this portlet. Returns null if this portlet has not been retrieved using the persistence API.

  Returns
    instance label

### setInstanceLabel

    public void setInstanceLabel(String instanceLabel)

  Sets the instance label for this portlet.

  Parameters
    `instanceLabel` -

### getTitle

    public String getTitle()

  Retrieves this portlet's localized title from its `LocalizationResource`.

  Specified by:
    `getTitle` in interface `PlaceableDefinition`
  Returns
    localized title for this portlet

### getDescription

    public String getDescription()

  Retrieves this portlet's localized description from its `LocalizationResource`.

  Specified by:
    `getDescription` in interface `PlaceableDefinition`
  Returns
    localized description for this portlet

### isRenderCacheable

    public boolean isRenderCacheable()

  Getter for property renderCacheable.

  Returns
    a boolean indicating if the portlet is cacheable.

### setRenderCacheable

    public void setRenderCacheable(boolean renderCacheable)

  Setter for property renderCacheable. This property is set by the developer in the .portlet file. It is used to indicate that the portlet can be cached by the system administrator.

  Parameters
    `renderCacheable` - true if the portlet can be cached.

### getCacheExpires

    public int getCacheExpires()

  Getter for cache TTL

  Returns
    Number of seconbds before cache expires.

### setCacheExpires

    public void setCacheExpires(int cacheExpires)

  Setter for the cache TTL. -1 indacates not to cache./

  Parameters
    `cacheExpires` - number of seconds before the cache expires.

### isForkRender

    public boolean isForkRender()

  Getter for property forkRender.

  Returns
    true if this portlet will be multi threaded.

### setForkRender

    public void setForkRender(boolean forkRender)

  Setter for property forkRender.

  Parameters
    `forkRender` - true mean we will fork (multithred) the renderer.

### isForkable

    public boolean isForkable()

  Getter for the boolean indicating if this portlet is forkable. This value is set by the developer in the .protlet file to indicate if the portlet can be set multithreaded by the system administrator.

  Returns
    true if this portlet can be forked

### setForkable

    public void setForkable(boolean forkable)

  setter for the boolean indicating if this portlet is forkable. This value is set by the developer in the .protlet file to indicate if the portlet can be set multithreaded by the system administrator.

  Parameters
    `forkable` - true if this portlet can be forked.

### getPortletFile

    public String getPortletFile()

  Getter for returning the relative path of the .portlet file representing this portlet. Note: not all portlet have .portlet files (portlets created via the API instead of the IDE)

  Returns
    the relative path name of the .portlet file.

### setPortletFile

    public void setPortletFile(String portletFile)

  Setter for setting the relative path of the .portlet file representing this portlet. Note: not all portlets have .portlet files (portlets created via the API instead of the IDE)

  Parameters
    `portletFile` - the relative path name of the .portlet file.

### isDeleted

    public boolean isDeleted()

  Getter to determined if this portet definition has been deleted. This is set by the system if the `.portlet` file has been removed from the file system. Because the consequences of deleting the portletDefinition and all its instances would be a costly and perminent, we just mark the portlet definition as being deleted and then the admin can permanently delete it via his admin tools.

  Returns
    tru if the portlet has been marked deleted.

### setDeleted

    public void setDeleted(boolean deleted)

  Getter to determined if this portet definition has been deleted. This is set by the system if the `.portlet` file has been removed from the file system. Because the consequences of deleting the portletDefinition and all its instances would be a costly and perminent, we just mark the portlet definition as being deleted and then the admin can permanently delete it via his admin tools.

  Parameters
    `deleted` - true if the portlet has been marked deleted.

### getHelpUri

    public String getHelpUri()

  Getter for the help content. The Help uri is the uri to the JSP or HTML page to be displayed when the portlet is in help mode.

  Returns
    A uri or null if none exist.

### setHelpUri

    public void setHelpUri(String helpUri)

  Setter for the help content. The Help uri is the uri to the JSP or HTML page to be displayed when the portlet is in help mode.

  Parameters
    `helpUri` - a relative path to the JSP or html page.

### getEditUri

    public String getEditUri()

  Getter for the edit content. The Edit uri is the uri to the JSP or HTML page to be displayed when the portlet is in edit mode.

  Returns
    A uri or null if none exist.

### setEditUri

    public void setEditUri(String editUri)

  Setter for the edit content. The Edit uri is the uri to the JSP or HTML page to be displayed when the portlet is in edit mode.

  Parameters
    `editUri` - a relative path to the JSP or html page.

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this portlet is scoped to.

  Specified by:
    `getWebAppName` in interface `PlaceableDefinition`
  Returns
    name of web application

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this portlet to specified J2EE web application

  Parameters
    `webAppName` - name of the web application to scope this portlet to

### getProducerHandle

    public String getProducerHandle()

  Returns the producer handle associated with this portlet if it is a WSRP remote portlet, null otherwise.

  Returns
    producer handle

### setProducerHandle

    public void setProducerHandle(String producerHandle)

  Sets the producer handle for this portlet

  Parameters
    `producerHandle` -

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet handle associated with this portlet if it is a WSRP remote portlet, null otherwise.

  Returns
    portlet handle

### setPortletHandle

    public void setPortletHandle(String portletHandle)

  Sets the portlet handle for this portlet

  Parameters
    `portletHandle` -

### getStateChangeFlag

    public byte getStateChangeFlag()

  Returns state change flag associated with this portlet if it is a WSRP remote portlet.

  Returns
    state change flag

### setStateChangeFlag

    public void setStateChangeFlag(byte stateChangeFlag)

  Sets state change flag

  Parameters
    `stateChangeFlag` -

### isRequiresUrlTemplates

    public boolean isRequiresUrlTemplates()

  Returns whether a WSRP remote portlet requires url templates

  Returns
    true if portlet requires url templates

### setRequiresUrlTemplates

    public void setRequiresUrlTemplates(boolean requiresUrlTemplates)

  Sets whether a WSRP remote portlet requires url templates

  Parameters
    `requiresUrlTemplates` -

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Returns whether url templates are stored in the HttpSession for a WSRP remote portlet

  Returns
    true if url templates are stored in the HttpSession

### setTemplatesStoredInSession

    public void setTemplatesStoredInSession(boolean templatesStoredInSession)

  Sets whether url templates are stored in the HttpSession for a WSRP remote portlet

  Parameters
    `templatesStoredInSession` -

### getPortletState

    public byte[] getPortletState()

  Returns the portlet state for a WSRP remote portlet

  Returns
    portlet state

### setPortletState

    public void setPortletState(byte[] portletState)

  Sets the portlet state for a WSRP remote portlet

  Parameters
    `portletState` -

### isProducerOfferedPortlet

    public boolean isProducerOfferedPortlet()

  Returns whether a WSRP remote portlet has not been customized by a WSRP consumer

  Returns
    true if a WSRP remote portlet has not been customized by a WSRP consumer

### setProducerOfferedPortlet

    public void setProducerOfferedPortlet(boolean producerOfferedPortlet)

  Sets whether a WSRP remote portlet is customized by a WSRP consumer

  Parameters
    `producerOfferedPortlet` -

### getUserPropertiesMode

    public int getUserPropertiesMode()

  Get the WSRP user properties mode.

### setUserPropertiesMode

    public void setUserPropertiesMode(int mode)

  Set the WSRP user properties mode.

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.